spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Public Attributes | List of all members
spot::couvreur99_check_status Class Reference

The status of the emptiness-check on success. More...

`#include <spot/twaalgos/gtec/status.hh>`

Collaboration diagram for spot::couvreur99_check_status:

## Public Member Functions
| couvreur99_check_status (const const_twa_ptr &aut)
void | print_stats (std::ostream &os) const
| Output statistics about this object. More...
int | states () const
| Return the number of states visited by the search. More...

## Public Attributes
const_twa_ptr | aut
scc_stack | root
state_map< int > | h
const state * | cycle_seed

## Detailed Description

The status of the emptiness-check on success.

This contains everything needed to construct a counter-example: the automata, the stack of SCCs traversed by the counter-example, and the heap of visited states with their indexes.

## Member Function Documentation

void spot::couvreur99_check_status::print_stats | ( | std::ostream & | os | ) | const

Output statistics about this object.

int spot::couvreur99_check_status::states | ( |  | ) | const

Return the number of states visited by the search.

The documentation for this class was generated from the following file:

- spot/twaalgos/gtec/status.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.